#pragma once
#include <queue>
#include "StickerItem.h"

using namespace std;
typedef std::list<CStickerItem *> CStickerItemList;


class CStickersCollection
{
public:
	CStickersCollection(void);
	~CStickersCollection(void);
private:
	CStickerItemList m_list;

public:
	CStickerItemList* GetList() { return &m_list; };
	bool Insert(CStickerItem *obj);
	void Release();	
	void RemoveObj( CStickerItem* p );
	UINT GetSize();
	void FreeObj( CStickerItem * p );
	CStickerItem* FindObjByID( CStickerItem * obj , CStickerItemList *list,CStickerItem** foundObj=NULL );
	
};
